Index: uspace/lib/ui/src/wdecor.c
===================================================================
--- uspace/lib/ui/src/wdecor.c	(revision 29ed06d51c57af8767c7262d3816c033f5bb79ab)
+++ uspace/lib/ui/src/wdecor.c	(revision dc0f6e4c8e25531a81515e002eb3011aa8098c45)
@@ -650,5 +650,5 @@
  * @param pos_id Positioning device ID
  */
-void ui_wdecor_resize(ui_wdecor_t *wdecor, ui_wdecor_rsztype_t rsztype,
+void ui_wdecor_resize(ui_wdecor_t *wdecor, display_wnd_rsztype_t rsztype,
     gfx_coord2_t *pos, sysarg_t pos_id)
 {
@@ -912,5 +912,5 @@
  * @return Resize type
  */
-ui_wdecor_rsztype_t ui_wdecor_get_rsztype(ui_wdecor_t *wdecor,
+display_wnd_rsztype_t ui_wdecor_get_rsztype(ui_wdecor_t *wdecor,
     gfx_coord2_t *pos)
 {
@@ -923,13 +923,13 @@
 	/* Window not resizable? */
 	if ((wdecor->style & ui_wds_resizable) == 0)
-		return ui_wr_none;
+		return display_wr_none;
 
 	/* Window is maximized? */
 	if (wdecor->maximized)
-		return ui_wr_none;
+		return display_wr_none;
 
 	/* Position not inside window? */
 	if (!gfx_pix_inside_rect(pos, &wdecor->rect))
-		return ui_wr_none;
+		return display_wr_none;
 
 	/* Position is within edge width from the outside */
@@ -950,35 +950,35 @@
 	/* Top-left corner */
 	if (edge && cleft && ctop)
-		return ui_wr_top_left;
+		return display_wr_top_left;
 
 	/* Top-right corner */
 	if (edge && cright && ctop)
-		return ui_wr_top_right;
+		return display_wr_top_right;
 
 	/* Bottom-left corner */
 	if (edge && cleft && cbottom)
-		return ui_wr_bottom_left;
+		return display_wr_bottom_left;
 
 	/* Bottom-right corner */
 	if (edge && cright && cbottom)
-		return ui_wr_bottom_right;
+		return display_wr_bottom_right;
 
 	/* Left edge */
 	if (eleft)
-		return ui_wr_left;
+		return display_wr_left;
 
 	/* Right edge */
 	if (eright)
-		return ui_wr_right;
+		return display_wr_right;
 
 	/* Top edge */
 	if (etop)
-		return ui_wr_top;
+		return display_wr_top;
 
 	/* Bottom edge */
 	if (ebottom)
-		return ui_wr_bottom;
-
-	return ui_wr_none;
+		return display_wr_bottom;
+
+	return display_wr_none;
 }
 
@@ -990,24 +990,24 @@
  * @return Cursor to use for this resize type
  */
-ui_stock_cursor_t ui_wdecor_cursor_from_rsztype(ui_wdecor_rsztype_t rsztype)
+ui_stock_cursor_t ui_wdecor_cursor_from_rsztype(display_wnd_rsztype_t rsztype)
 {
 	switch (rsztype) {
-	case ui_wr_none:
+	case display_wr_none:
 		return ui_curs_arrow;
 
-	case ui_wr_top:
-	case ui_wr_bottom:
+	case display_wr_top:
+	case display_wr_bottom:
 		return ui_curs_size_ud;
 
-	case ui_wr_left:
-	case ui_wr_right:
+	case display_wr_left:
+	case display_wr_right:
 		return ui_curs_size_lr;
 
-	case ui_wr_top_left:
-	case ui_wr_bottom_right:
+	case display_wr_top_left:
+	case display_wr_bottom_right:
 		return ui_curs_size_uldr;
 
-	case ui_wr_top_right:
-	case ui_wr_bottom_left:
+	case display_wr_top_right:
+	case display_wr_bottom_left:
 		return ui_curs_size_urdl;
 
@@ -1074,5 +1074,5 @@
 	gfx_coord2_t pos;
 	sysarg_t pos_id;
-	ui_wdecor_rsztype_t rsztype;
+	display_wnd_rsztype_t rsztype;
 	ui_stock_cursor_t cursor;
 
@@ -1089,5 +1089,5 @@
 
 	/* Press on window border? */
-	if (rsztype != ui_wr_none && event->type == POS_PRESS)
+	if (rsztype != display_wr_none && event->type == POS_PRESS)
 		ui_wdecor_resize(wdecor, rsztype, &pos, pos_id);
 }
Index: uspace/lib/ui/src/window.c
===================================================================
--- uspace/lib/ui/src/window.c	(revision 29ed06d51c57af8767c7262d3816c033f5bb79ab)
+++ uspace/lib/ui/src/window.c	(revision dc0f6e4c8e25531a81515e002eb3011aa8098c45)
@@ -86,5 +86,5 @@
 static void wd_close(ui_wdecor_t *, void *);
 static void wd_move(ui_wdecor_t *, void *, gfx_coord2_t *, sysarg_t);
-static void wd_resize(ui_wdecor_t *, void *, ui_wdecor_rsztype_t,
+static void wd_resize(ui_wdecor_t *, void *, display_wnd_rsztype_t,
     gfx_coord2_t *, sysarg_t);
 static void wd_set_cursor(ui_wdecor_t *, void *, ui_stock_cursor_t);
@@ -1191,11 +1191,10 @@
  */
 static void wd_resize(ui_wdecor_t *wdecor, void *arg,
-    ui_wdecor_rsztype_t rsztype, gfx_coord2_t *pos, sysarg_t pos_id)
+    display_wnd_rsztype_t rsztype, gfx_coord2_t *pos, sysarg_t pos_id)
 {
 	ui_window_t *window = (ui_window_t *) arg;
 
 	if (window->dwindow != NULL) {
-		(void) display_window_resize_req(window->dwindow,
-		    (display_wnd_rsztype_t) rsztype, // Same constants in the enums
+		(void) display_window_resize_req(window->dwindow, rsztype,
 		    pos, pos_id);
 	}
